#!/bin/bash
#  cvt.sh:
#  Convertit les fichiers d'image MacPaint contenus dans un répertoire 
#+ vers le format "pbm".

#  Utilise le binaire "macptopbm" provenant du paquetage "netpbm",
#+ qui est maintenu par Brian Henderson (bryanh@giraffe-data.com).
#  Netpbm est présent sur la plupart des distributions Linux.

OPERATION=macptopbm
SUFFIXE=pbm         # Suffixe des nouveaux noms de fichiers.

if [ -n "$1" ]
then
  repertoire=$1      # Si nom du répertoire donné en argument au script...
else
  repertoire=$PWD    # Sinon, utilise le répertoire courant.
fi  
  
#  Supposons que tous les fichiers du répertoire cible sont des fichiers d'image
# + MacPaint avec un suffixe de nom de fichier ".mac".

for fichier in $repertoire/*  # Remplacement de noms de fichiers
do
  nomfichier=${fichier%.*c} #  Enlève le suffixe ".mac" au nom du fichier
                            #+ ('.*c' correspond à tout ce qui se trouve
			                #+ entre '.' et 'c', inclus).
  $OPERATION $fichier > $nomfichier.$SUFFIXE
    # Redirige la conversion vers le nouveau nom de fichier.
    rm -f $fichier          # Supprime le fichier d'origine après sa conversion.
  echo "$nomfichier.$SUFFIXE"  # Affiche sur stdout le déroulement des opérations.
done

exit 0

# Exercice
# --------
#  À ce stade, ce script convertit *tous* les fichiers du répertoire courant.
#  Modifiez-le pour qu'il renomme *seulement* les fichiers dont l'extension est
#+ ".mac".
